Fleets API Reference – MediaKind
Fleets API
Base URL https://app.mk.io v1.2.719 endpoints OpenAPI 3.0.2
Overview
The MK.IO Fleet API is the project-level REST API for MK.IO Beam device fleet operations. It supports device administration use cases, including inventory management, backup lifecycle operations, restore actions, service updates, and software tracking.
Authentication
All endpoints require a bearer token in the Authorization header:
Authorization: Bearer <your_token>
You can create and manage your tokens in your profile settings under Your personal API tokens. Follow the API tokens guide for more information.
Usage
Base URL: https://app.mk.io
Typical usage pattern:
- List devices and fleet state.
- Create, upload, or retrieve backups.
- Run restore and software operations.
Endpoints
|get|Get all backups for a project|/api/v1/projects/{project_name}/fleet/backups| |get|Get backup details|/api/v1/projects/{project_name}/fleet/backups/{backup_id}| |patch|Rename device backup|/api/v1/projects/{project_name}/fleet/backups/{backup_id}| |del|Delete device backup|/api/v1/projects/{project_name}/fleet/backups/{backup_id}| |get|Get device backup|/api/v1/projects/{project_name}/fleet/backups/{backup_id}/config| |get|List Devices|/api/v1/projects/{project_name}/fleet/devices| |get|Get Device|/api/v1/projects/{project_name}/fleet/devices/{name}| |put|Create Device|/api/v1/projects/{project_name}/fleet/devices/{name}| |patch|Update Device|/api/v1/projects/{project_name}/fleet/devices/{name}| |del|Delete Device|/api/v1/projects/{project_name}/fleet/devices/{name}| |post|Create device backup|/api/v1/projects/{project_name}/fleet/devices/{name}/backup| |post|Remove selected services from device|/api/v1/projects/{project_name}/fleet/devices/{name}/removeServices| |post|Restore device backup|/api/v1/projects/{project_name}/fleet/devices/{name}/restore| |get|List Devices|/api/v1/projects/{project_name}/fleet/devices/{name}/software| |get|List support packages for a device|/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages| |post|Trigger support package creation on a device|/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages| |get|Download a support package|/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}| |del|Delete a support package|/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}| |post|Upload/override a backup tar.gz and generate metadata|/api/v1/projects/{project_name}/fleet/uploadBackup|